org.apache.tinkerpop.gremlin.process.computer.clustering.peerpressure

## Class PeerPressureVertexProgram.Builder

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.computer.util.AbstractVertexProgramBuilder<PeerPressureVertexProgram.Builder>
  - - org.apache.tinkerpop.gremlin.process.computer.clustering.peerpressure.PeerPressureVertexProgram.Builder

- All Implemented Interfaces:
    VertexProgram.Builder
  Enclosing class:
    PeerPressureVertexProgram

      public static final class PeerPressureVertexProgram.Builder
      extends org.apache.tinkerpop.gremlin.process.computer.util.AbstractVertexProgramBuilder<PeerPressureVertexProgram.Builder>

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.process.computer.util.AbstractVertexProgramBuilder

      `configuration`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `PeerPressureVertexProgram.Builder` | `distributeVote(boolean distributeVote)`
    `PeerPressureVertexProgram.Builder` | `edges(Traversal.Admin<Vertex,Edge> edgeTraversal)`
    `PeerPressureVertexProgram.Builder` | `initialVoteStrength(Traversal.Admin<Vertex,? extends Number> initialVoteStrengthTraversal)`
    `PeerPressureVertexProgram.Builder` | `maxIterations(int iterations)`
    `PeerPressureVertexProgram.Builder` | `property(String key)`
    `PeerPressureVertexProgram.Builder` | `traversal(Traversal.Admin<Vertex,Edge> edgeTraversal)` Deprecated. As of release 3.2.0, replaced by `edges(Traversal.Admin)`
    `PeerPressureVertexProgram.Builder` | `traversal(TraversalSource traversalSource, String scriptEngine, String traversalScript, Object... bindings)` Deprecated. As of release 3.2.0, replaced by `edges(Traversal.Admin)`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.computer.util.AbstractVertexProgramBuilder

      `configure, create`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.computer.VertexProgram.Builder

      `create`

- - ### Method Detail

    - #### property

          public PeerPressureVertexProgram.Builder property(String key)

    - #### maxIterations

          public PeerPressureVertexProgram.Builder maxIterations(int iterations)

    - #### distributeVote

          public PeerPressureVertexProgram.Builder distributeVote(boolean distributeVote)

    - #### edges

          public PeerPressureVertexProgram.Builder edges(Traversal.Admin<Vertex,Edge> edgeTraversal)

    - #### initialVoteStrength

          public PeerPressureVertexProgram.Builder initialVoteStrength(Traversal.Admin<Vertex,? extends Number> initialVoteStrengthTraversal)

    - #### traversal

          @Deprecated
          public PeerPressureVertexProgram.Builder traversal(TraversalSource traversalSource,
                                                                         String scriptEngine,
                                                                         String traversalScript,
                                                                         Object... bindings)

      Deprecated. As of release 3.2.0, replaced by `edges(Traversal.Admin)`

    - #### traversal

          @Deprecated
          public PeerPressureVertexProgram.Builder traversal(Traversal.Admin<Vertex,Edge> edgeTraversal)

      Deprecated. As of release 3.2.0, replaced by `edges(Traversal.Admin)`

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.